Skip to main content
POST
/
v1
/
ai
/
chat
Send AI chat message
curl --request POST \
  --url https://api.rootly.com/v1/ai/chat \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "ai_chat_responses",
    "attributes": {
      "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reply": "<string>",
      "status": "user_input_required"
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

message
string
required

Message to send to the AI assistant

session_id
string<uuid>

Resume an existing session

incident_id
string<uuid>

Bind session to an incident for context

Response

AI chat response

data
object
required
included
object[]